;
; Ansteuerung der TEST-LED
; zur Korntrolle des Programmflusses
;
.equ bled_ctrl_port	= PORTA
.equ bled_ctrl_ddr	= DDRA
.equ bled_set_bit	= 0


blink_init:
	sbi		bled_ctrl_ddr,bled_set_bit	;Port fr LED auf Ausgang
	cbi		bled_ctrl_port,bled_set_bit	;LED einschalten (low active)
	ret

blink_toggle:
	push	r16							;Register sichern
	in		r16,bled_ctrl_port			;Port fr LED lesen
	sbrc	r16,bled_set_bit			;skip, wenn "0" (low active)
	cbi		bled_ctrl_port,bled_set_bit	;LED einschalten (low active)
	sbrs	r16,bled_set_bit			;skip, wenn "1" (low active)
	sbi		bled_ctrl_port,bled_set_bit	;LED ausschalten (low active)
	pop		r16							;Register zurckholen
	ret
